package com.trafficparrot.sdk.handlebars;

import com.github.jknack.handlebars.Options;
import com.google.common.base.Objects;

import java.io.IOException;

public class Equal extends TrafficParrotHelper<Object> {
    @Override
    protected Object doApply(Object contextObject, Options options) throws IOException {
        Object parameterObject = options.param(0);
        if (Objects.equal(contextObject, parameterObject)) {
            return options.fn();
        } else {
            return options.inverse();
        }
    }
}
