package com.trafficparrot.sdk.jms;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;

public class MessageBodyTypeSerializer extends JsonSerializer {
    @Override
    public void serialize(Object value, JsonGenerator gen, SerializerProvider serializers) throws IOException {
        MessageBodyType messageBodyType = (MessageBodyType) value;
        gen.writeString(messageBodyType.value);
    }
}
