package com.trafficparrot.sdk.handlebars;

import com.github.jknack.handlebars.Options;
import com.github.jknack.handlebars.helper.EachHelper;

import java.io.IOException;

public class EachRejectNonIterable extends EachHelper {

    @Override
    public Object apply(Object iterable, Options options) throws IOException {
        if (iterable instanceof Iterable) {
            return super.apply(iterable, options);
        } else {
            return "{{ Warning: '" + iterable + "' is not iterable }}";
        }
    }
}
