package com.trafficparrot.sdk.jms;

import javax.jms.BytesMessage;
import javax.jms.JMSException;

public class BytesMessageReadBytes {

    public static byte[] readBytes(BytesMessage bytesMessage) throws JMSException {
        byte[] bytes = new byte[(int) bytesMessage.getBodyLength()];
        bytesMessage.readBytes(bytes);
        bytesMessage.reset(); // this is necessary if someone else wants to read the bytes again in the future
        return bytes;
    }
}
